/**
 *  ItemSunCross script.
 * <BR>Copyright (c) Nihilistic Software, Inc. 1998-1999
 *
 * @author Mordred
*/

public class ItemSunCross extends Codex
{
	private int _guid;
	private int _location;

	public ItemSunCross()
	{
		_guid = 0;
		_location = -1;
	}

	public void created(int guid)
	{
		CodexConsole.Print(0,1,"SunCross activated.",0xFFFF00);
		_guid = guid;
		CodexThing cross = new CodexThing(guid);
		_location = cross.GetLocationNum();
		SetTimer(3);
	}	

	public void beginscene(int clientGuid, int captureID)
	{
		CodexConsole.Print(0,1,"SunCross activated.",0xFFFF00);
		_guid = clientGuid;
		CodexThing cross = new CodexThing(guid);
		_location = cross.GetLocationNum();
		SetTimer(3);
	}

	public void endscene(int clientGuid, int captureID, int exitNum)
	{
		KillAllTimers();
	}


	public void timer(int timerID, float arg0, float arg1, float arg2, float arg3)
	{
		DamageAllVampiresInArea();				
		
		SetTimer(3);
	}
	
	private void DamageAllVampiresInArea()
	{
		for(int i=0;i<8;i++)
		{
			int playerguid = CodexPlayer.GetMPPlayer(i);
			if(playerguid==0)
				continue;
			CodexPlayer player = new CodexPlayer(playerguid);
			int type = player.GetActorType();
			if(type!=ACTOR_TYPE_VAMPIRE)
				continue;
			if(player.GetActorHealth()<=0.0f)
				continue;
			int loc = player.GetLocationNum();
			if(loc==_location)
			{
				player.AddActorEffectByLevel("ef_dmg_sun",3000,5,_guid,EI_FLAG_DISCIPLINE);
			}
        }
		
	}
}
